<?php

// Resource routes  for category
Route::group(['prefix' => set_route_guard('web').'/master'], function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public  routes for category
Route::get('category/popular/{period?}', 'CategoryPublicController@popular');
Route::get('masters/', 'CategoryPublicController@index');
Route::get('masters/{slug?}', 'CategoryPublicController@show');

// Resource routes  for cuisine
Route::group(['prefix' => set_route_guard('web').'/master'], function () {
    Route::resource('cuisine', 'CuisineResourceController');
});

// Public  routes for cuisine
Route::get('cuisine/popular/{period?}', 'CuisinePublicController@popular');
Route::get('masters/', 'CuisinePublicController@index');
Route::get('masters/{slug?}', 'CuisinePublicController@show');

// Resource routes  for master
Route::group(['prefix' => set_route_guard('web').'/master'], function () {
    Route::resource('master', 'MasterResourceController');
});

// Public  routes for master
Route::get('master/popular/{period?}', 'MasterPublicController@popular');
Route::get('masters/', 'MasterPublicController@index');
Route::get('masters/{slug?}', 'MasterPublicController@show');

